
SUFFIXES += .ui .ui.cc .moc.cc _moc.cc .qrc
CLEANFILES += *.moc.cc *.ui.cc *_moc.cc 
CLEANFILES += $(patsubst %.ui,%.h, $(filter %.ui, $(SOURCES))) 
CLEANFILES += $(patsubst %.ui,%.cc, $(filter %.ui, $(SOURCES)))

BUILT_SOURCES += $(patsubst %.ui, %.cc, $(filter %.ui, $(SOURCES)))

UICIT=if test "x$(USEQT3)"  != x; then \
          $(QT_UIC) -o $*.h $<; \
          $(QT_UIC) -o $*.cc -impl $*.h $<; \
          $(QT_MOC) $*.h >> $*.cc; \
        else \
          $(QT4_UIC) -o $*.h $<; \
          echo > $*.cc; \
        fi;

AM_V_UIC = $(am__v_UIC_$(V))
am__v_UIC_ = $(am__v_UIC_$(AM_DEFAULT_VERBOSITY))
am__v_UIC_0 = @echo "  UIC   " $@; $(UICIT)
am__v_UIC_1 = $(UICIT)

.ui.cc:
	$(AM_V_UIC)

# This is for make <= 2.8
%.ui.cc: %.ui
	$(AM_V_UIC)

QRCIT=if ! $(QT4_RCC) -name $* $< -o $*.cc;  then \
      exit -1; \
    fi

AM_V_QRC = $(am__v_QRC_$(V))
am__v_QRC_ = $(am__v_QRC_$(AM_DEFAULT_VERBOSITY))
am__v_QRC_0 = @echo "  QRC   " $@; $(QRCIT)
am__v_QRC_1 = $(QRCIT)

SUFFIXES += .qrc
CLEANFILES += $(patsubst %.qrc,%.cc, $(filter %.qrc, $(SOURCES)))

.qrc.cc:
	$(AM_V_QRC)

objects = $(HEADERS)

# This is for make > 2.8


MOCIT = :> $@; \
        for i in $(nobase_$*_HEADERS) $($*_HEADERS) $(nobase_$*_SOURCES) $($*_SOURCES); do \
           if fgrep -q Q_OBJECT $(srcdir)/$$i; then \
             if test "x$(USEQT3)"  != x; then \
                $(QT_MOC) -I$(top_builddir) $(srcdir)/$$i >> $@; \
             else \
                $(QT4_MOC) $(QT4_CXXFLAGS) -I$(top_builddir) $(srcdir)/$$i >> $@; \
             fi; \
           fi; \
        done

AM_V_MOC = $(am__v_MOC_$(V))
am__v_MOC_ = $(am__v_MOC_$(AM_DEFAULT_VERBOSITY))
am__v_MOC_0 = @echo "  MOC   " $@; $(MOCIT)
am__v_MOC_1 = $(MOCIT)

.SECONDEXPANSION:
%.moc.cc: $$(nobase_%_HEADERS) $$(%_HEADERS) $$(nobase_%_SOURCES) $$(%_SOURCES)
	$(AM_V_MOC)

MOCOLDIT=if test "x$(USEQT3)" != x; then $(QT_MOC) -o $@ $<; else  $(QT4_MOC) $(QT4_CXXFLAGS) -o $@ $<; fi

AM_V_MOCOLD = $(am__v_MOCOLD_$(V))
am__v_MOCOLD_ = $(am__v_MOCOLD_$(AM_DEFAULT_VERBOSITY))
am__v_MOCOLD_0 = @echo "  MOCC  " $@; $(MOCOLDIT)
am__v_MOCOLD_1 = $(MOCOLDIT)

# This is for make <= 2.8
%_moc.cc: %.h
	$(AM_V_MOCOLD)


all-local-qt:


clean-local-qt:
	@list='$(patsubst %.ui,%.h, $(filter %.ui, $(SOURCES))) $(patsubst %.ui,%.cc, $(filter %.ui, $(SOURCES)))'; \
        for i in $$list; do \
           rm -f $$i; \
           echo "rm -f $$i"; \
        done;

uninstall-hook-qt:
